Get SSIs

Prev Next
Get
/ssis

It provides the list of the Standard Settlement Instructions (SSI's) stored in the service. The SSI's refer to a Legal Entities Settlement Instruction for which key information remains the same from one cash settlement to another. The data in our database is taken from the Swift Files downloaded monthly.

It has the possibility to apply filters and to sort them.

Security
OAuth

OAuth Grant type, JWT Profile

FlowClient Credentials
Token URL$(host)/oauth/token
Scopes:
ssis.readAccessing ssis information
Header parameters
x-client-id
string (uuid) Required

Identifies the client of the api

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Examplea1b30a84-7bf3-442e-84a0-e935d8163b5a
Query parameters
_limit
integer (int32)

Amount of results to retrieve

Minimum0
Maximum250
Default25
Example25
_offset
integer (int32)

Results to skip

Minimum0
Maximum250
Default0
Example0
_sort
string

Sorting order for the results. Possible values:

  • +created_at: ascending creation dates
  • -created_at: descending creation dates If the value is omitted, the default value is '-created_at'"
Valid values[ "-created_at", "+created_at" ]
Example-created_at
bic
string

BIC code.

Max length11
Pattern^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?$
ExampleARABMAMCXXX
currency
string

ISO Currency code filter

Max length3
Pattern^[A-Z]{3}$
ExampleEUR
asset_category
string

Asset category filter.

Valid values[ "ANYY", "COPA", "CASH", "WHLS", "COLL", "COMM", "DERI", "DOCC", "FOEX", "GUAR", "LETT", "LOAN", "MMKT", "NDLF", "OPTI", "SECU", "TFIN", "TREA" ]
ExampleCOMM
Responses
200

Returns a list of SSIs (possibly filtered) with pagination

SSIs List Response

SSIs information response

{
  "data": [
    {
      "owner": {
        "bic": "DEUTDEFFXXX",
        "institutionName": "Deutsche Bank AG",
        "city": "FRANKFURT AM MAIN",
        "isoCountryCode": "DE"
      },
      "isoCurrencyCode": "USD",
      "assetCategory": "MMKT",
      "accountHoldingInstitution": {
        "bic": "CITIUS33XXX",
        "institutionName": "CITIBANK N.A.",
        "isoCountryCode": "US",
        "accountNumber": "7892398045980",
        "preferred": true,
        "institutionType": "CORRESPONDENT"
      },
      "trafficFlag": true,
      "trafficDate": "2023-10-26T02:00:00.000Z",
      "updateDate": "2023-10-26T02:00:00.000Z",
      "startDate": "2023-10-26T02:00:00.000Z",
      "stopDate": "2023-10-26T02:00:00.000Z"
    }
  ],
  "_count": "1",
  "_links": {
    "_first": "/endpoint?_offset=0&_limit=10",
    "_last": "/endpoint?_offset=10&_limit=10",
    "_prev": "/endpoint?_offset=30&_limit=10",
    "_next": "/endpoint?_offset=40&_limit=10"
  }
}
Expand All
object

Array of data returned when asking for the SSI's information

data
Array of object (SsiInformation)

Data response

Max items50
object

Ssi information returned

owner
object

Onwer properties

bic
string

BIC

Max length11
Pattern^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?$
ExampleARABMAMCXXX
institutionName
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
city
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
isoCountryCode
string

Code to identify a country, a dependency, or another area of particular geopolitical interest, on the basis of country names obtained from the United Nations (ISO 3166, Alpha-2 code).

Min length2
Max length2
Pattern^[A-Z]{2,2}$
ExampleES
isoCurrencyCode
string

Currency ISO code

Max length3
Pattern^[A-Z]{3}$
ExampleEUR
assetCategory
string

Asset categories for SSIs

Valid values[ "ANYY", "COPA", "CASH", "WHLS", "COLL", "COMM", "DERI", "DOCC", "FOEX", "GUAR", "LETT", "LOAN", "MMKT", "NDLF", "OPTI", "SECU", "TFIN", "TREA" ]
ExampleCOMM
accountHoldingInstitution
object

Account properties

bic
string

BIC

Max length11
Pattern^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?$
ExampleARABMAMCXXX
institutionName
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
isoCountryCode
string

Code to identify a country, a dependency, or another area of particular geopolitical interest, on the basis of country names obtained from the United Nations (ISO 3166, Alpha-2 code).

Min length2
Max length2
Pattern^[A-Z]{2,2}$
ExampleES
accountNumber
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
preferred
boolean

Ssi account preferred value

ExampleTrue
institutionType
string

Ssi account institution type

Valid values[ "INTERMEDIARY", "LOCAL CORRESPONDENT", "CORRESPONDENT" ]
ExampleCORRESPONDENT
trafficFlag
boolean

Ssi traffic flag

ExampleTrue
trafficDate
string

Date time

Min length0
Max length24
Pattern^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}.[0-9]{3}Z$
Example2021-12-09T00:00:13.702Z
updateDate
string

Date time

Min length0
Max length24
Pattern^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}.[0-9]{3}Z$
Example2021-12-09T00:00:13.702Z
startDate
string

Date time

Min length0
Max length24
Pattern^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}.[0-9]{3}Z$
Example2021-12-09T00:00:13.702Z
stopDate
string

Date time

Min length0
Max length24
Pattern^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}.[0-9]{3}Z$
Example2021-12-09T00:00:13.702Z
_count
integer (int32)

Pagination count

Minimum0
Maximum999
Example10
_links
object (_Links)

Pagination links

_first
string

Link to the first page of the list of results

Max length999
Pattern^[a-zA-Z0-9 _\-\/?&=]*$
Example/endpoint?_offset=0&_limit=10
_last
string

Link to the last page of the list of results

Max length999
Pattern^[a-zA-Z0-9 _\-\/?&=]*$
Example/endpoint?_offset=10&_limit=10
_prev
string

Link to the previous page of the list of results

Max length999
Pattern^[a-zA-Z0-9 _\-\/?&=]*$
Example/endpoint?_offset=30&_limit=10
_next
string

Link to the last page of the list of results

Max length999
Pattern^[a-zA-Z0-9 _\-\/?&=]*$
Example/endpoint?_offset=40&_limit=10
204

No Content

400

Bad Request

Internal Server Error
{
  "errors": [
    {
      "code": "400",
      "message": "BAD_REQUEST",
      "level": "FATAL",
      "description": "Bad request"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
401

User not authorized

User Unauthorized
{
  "errors": [
    {
      "code": "401",
      "message": "UNAUTHORIZED",
      "level": "FATAL",
      "description": "User unauthorized"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
403

Access forbidden

Forbidden
{
  "errors": [
    {
      "code": "403",
      "message": "FORBIDDEN",
      "level": "ERROR",
      "description": "Access forbidden"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
404

Not Found

NotFound

Not found

{
  "errors": [
    {
      "code": "404",
      "message": "NOT_FOUND",
      "level": "ERROR",
      "description": "Not found"
    }
  ]
}
Correspondent Delivery Date Not Found

The Correspondent was not found

{
  "errors": [
    {
      "code": "404",
      "message": "NOT_FOUND",
      "level": "ERROR",
      "description": "Correspondent could not be found"
    }
  ]
}
Correspondent Not Found
{
  "errors": [
    {
      "code": "404",
      "message": "NOT_FOUND",
      "level": "ERROR",
      "description": "No Route was found"
    }
  ]
}
Account Not Found

The Requested account data is not found

{
  "errors": [
    {
      "code": "404",
      "message": "NOT_FOUND",
      "level": "ERROR",
      "description": "The requested Account Number is not a valid _accountFormat_ account"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
406

The Accept header does not specifically contains one of the allowable types, usually 'application/json'

Not Acceptable
{
  "errors": [
    {
      "code": "406",
      "message": "NOT_ACCEPTABLE",
      "level": "ERROR",
      "description": "Accept header is not application/json"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
413

Most web servers have a limit of 8192 bytes (8 KB). The server will close the connection to prevent the client from continuing the request.

Request Entity Too Large
{
  "errors": [
    {
      "code": "413",
      "message": "REQUEST_ENTITY_TOO_LARGE",
      "level": "ERROR",
      "description": "Request entity larger than 8192 bytes - 8KB"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
414

URI request is longer than 2,000 characters

URI Too Long
{
  "errors": [
    {
      "code": "414",
      "message": "URI_TOO_LONG",
      "level": "ERROR",
      "description": "URI request is longer than 2000 characters"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
422

Unprocessable Entity

Unprocessable entity
{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "Unprocessable entity"
    }
  ]
}
Invalid property
{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "unexpected keys on object - wrong_key"
    }
  ]
}
Invalid Request Currency

The requested parameters contain an invalid Currency value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - currency - It must be present in routeParams or extraDetails pacs - IntrBkSttlmAmt.Ccy"
    }
  ]
}
Invalid Request Account Data

The requested parameters contain an invalid account format/number value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - accountFormat or accountNumber - They must be present in routeParams or extraDetails pacs - IntrmyAgt1.FinInstnId  CdtrAcct.Id.IBAN or CdtrAgt.FinInstnId"
    }
  ]
}
Invalid Request Charge Type

The requested parameters contain an invalid Charge Type value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - chargeType - No union satisfied. expected value to be literal OUR but got foobar expected value to be literal BEN but got foobar expected value to be literal SHA but got foobar"
    }
  ]
}
Invalid Request Origin Bank

The requested parameters contain an invalid Origin Bank value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - originBank - expected string to match pattern but did not"
    }
  ]
}
Invalid Request Origin Country

The requested parameters contain an invalid Origin Country value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - originCountry - expected string to match pattern but did not"
    }
  ]
}
Invalid Request Payment Amount

The requested parameters contain an invalid Payment Amount value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - paymentAmount - expected type to be number but got string"
    }
  ]
}
Invalid Request Value Percentage

The requested parameters contain an invalid Value Percentage value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - volumePercentage - expected number to be less than or equal to 100 but got 999999"
    }
  ]
}
Invalid Request Permanent Input

The requested parameters contain an invalid Permanent Input value
Permanent Inputs: sameCorrespondent, volumePercentage, searchIntermediary, commonCorrespondent.

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - sameCorrespondent - No union satisfied. expected string to be one of - true false. expected type to be boolean but got string"
    }
  ]
}
Invalid Request Clearing Scheme

The Request parameters contain an invalid Clearing Scheme value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - clearingScheme - expected string to match pattern but did not"
    }
  ]
}
Invalid Request Service Code

The Request parameters contain an invalid Service Code value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - serviceCode - expected string to match pattern but did not"
    }
  ]
}
Invalid SSI Correspondent Steps

The Request parameters contain an invalid SSI Correspondent Steps value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - ssiCorrespondentSteps - expected number to be less than or equal to 10 but got 11"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
429

The user has sent too many requests in a given amount of time

Too Many Requests
{
  "errors": [
    {
      "code": "429",
      "message": "TOO_MANY_REQUESTS",
      "level": "ERROR",
      "description": "Too many requests"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
500

Internal Server Error

Internal Server Error

Internal Server Error

{
  "errors": [
    {
      "code": "500",
      "message": "INTERNAL_SERVER_ERROR",
      "level": "ERROR",
      "description": "Unknown error caught in the error middleware"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
503

Service is unavailable

Service is unavailable
{
  "errors": [
    {
      "code": "503",
      "message": "SERVICE_UNAVAILABLE",
      "level": "ERROR",
      "description": "Service is unavailable"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
504

Gateway timeout

Gateway timeout
{
  "errors": [
    {
      "code": "504",
      "message": "GATEWAY_TIMEOUT",
      "level": "ERROR",
      "description": "Gateway timeout"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
default

Internal Server Error

Internal Server Error

Internal Server Error

{
  "errors": [
    {
      "code": "500",
      "message": "INTERNAL_SERVER_ERROR",
      "level": "ERROR",
      "description": "Unknown error caught in the error middleware"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription